Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1482108 - Review Request: mistral-extra
Summary: Review Request: mistral-extra
Keywords:
Status: NEW
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS
TreeView+ depends on / blocked
 
Reported: 2017-08-16 13:21 UTC by Ryan Brady
Modified: 2018-09-18 11:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 14:43:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 10744 None None None 2017-11-30 15:20:21 UTC

Description Ryan Brady 2017-08-16 13:21:38 UTC
Spec: https://github.com/rbrady/mistral-extra-distgit/blob/master/openstack-mistral-extra.spec

Description: Mistral-Extra is a python library of additional tools and examples for Mistral.  It is the primary means of integrating external applications with Mistral including OpenStack.

Comment 1 Chandan Kumar 2017-08-22 15:01:49 UTC
Hello Ryan,

Please follow this link to send a package review to RDO: https://www.rdoproject.org/documentation/add-packages/

Thanks,

Chandan Kumar

Comment 2 Toure Dunnon 2017-11-30 15:21:03 UTC
This is a new package request for queens.

Comment 3 Alfredo Moralejo 2017-12-14 15:04:16 UTC
licensecheck output:

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./Vagrantfile: *No copyright* UNKNOWN
./bootstrap.sh: *No copyright* UNKNOWN
./local.conf: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache (v2.0)
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./tools/update_env_deps: *No copyright* UNKNOWN
./doc/source/conf.py: *No copyright* GENERATED FILE
./doc/source/index.rst: *No copyright* UNKNOWN
./examples/v2/calculator/README.rst: *No copyright* UNKNOWN
./examples/v2/calculator/calculator.yaml: *No copyright* UNKNOWN
./examples/v2/calculator/requirements.txt: *No copyright* UNKNOWN
./examples/v2/calculator/web_app.py: Apache (v2.0)
./examples/v2/openstack/README.rst: *No copyright* UNKNOWN
./examples/v2/openstack/crawl_specific_data.yaml: *No copyright* UNKNOWN
./examples/v2/openstack/glance_actions.yaml: *No copyright* UNKNOWN
./examples/v2/openstack/keystone_actions.yaml: *No copyright* UNKNOWN
./examples/v2/openstack/nova_actions.yaml: *No copyright* UNKNOWN
./examples/v2/openstack/update_kernel.yaml: *No copyright* UNKNOWN
./examples/v2/services_registration/README.rst: *No copyright* UNKNOWN
./examples/v2/services_registration/multiple_services_registration.yaml: *No copyright* UNKNOWN
./mistral_extra/tests/unit/base.py: Apache (v2.0)
./mistral_extra/tests/unit/test_base.py: Apache (v2.0)
./examples/v2/capabilities/join/README.rst: *No copyright* UNKNOWN
./examples/v2/capabilities/join/create_vm_with_volume.yaml: *No copyright* UNKNOWN
./examples/v2/openstack/clone_vm/README.rst: *No copyright* UNKNOWN
./examples/v2/openstack/clone_vm/boot_vm_from_volume.yaml: *No copyright* UNKNOWN
./examples/v2/openstack/clone_vm/clone_vm.yaml: *No copyright* UNKNOWN
./examples/v2/openstack/clone_vm/clone_volume.yaml: *No copyright* UNKNOWN
./examples/v2/openstack/clone_vm/input.json: *No copyright* UNKNOWN
./examples/v2/openstack/tenant_statistics/README.rst: *No copyright* UNKNOWN
./examples/v2/openstack/tenant_statistics/tenant_statistics.yaml: *No copyright* UNKNOWN
./examples/v2/services_registration/vyatta/README.rst: *No copyright* UNKNOWN
./examples/v2/services_registration/vyatta/vyatta_firewall.yaml: *No copyright* UNKNOWN
./examples/v2/services_registration/zabbix/README.rst: *No copyright* UNKNOWN
./examples/v2/services_registration/zabbix/zabbix_machine_registration.yaml: *No copyright* UNKNOWN


License is valid: Apache v2.0

Comment 4 Alfredo Moralejo 2018-01-09 14:38:35 UTC
Is this still needed?, i see no activity in queens to get the package in RDO.

Comment 5 Toure Dunnon 2018-01-09 15:03:27 UTC
Alfredo, yes this is still needed, the plan is to land the mistral-extra package in Queens which is half of the work which I was planning on landing for Queens. The other half was migrating actions from tripleo-common into mistral-extra, so to keep things streamlined I would like to get mistral-extra packaged which will allow for a simpler uptake of my proposed patch of moving actions into mistral-extra from tripleo-common.

Comment 6 Toure Dunnon 2018-01-09 15:04:12 UTC
Alfredo, please advise in regards to next steps to move this along. Thanks.

Comment 7 Alfredo Moralejo 2018-01-09 15:25:00 UTC
Process is documented in https://www.rdoproject.org/documentation/add-packages/ , the repo was created some time ago in https://review.rdoproject.org/r/#/admin/projects/openstack/mistral-extra-distgit so we are in step 3. You need to create a review with the initial spec for the package.

Let me know if you need any further help.

Comment 8 Ryan Brady 2018-09-04 14:43:52 UTC
Merged 17 DEC 2017.

Comment 9 Alfredo Moralejo 2018-09-18 11:02:01 UTC
Re-opening this bugzilla. mistral-extra package is not in RDO yet as there is still no proper spec in https://github.com/rdo-packages/mistral-extra-distgit . If someone is interested in getting the package in RDO, please go on with the process as mentioned in comment 7.


Note You need to log in before you can comment on or make changes to this bug.